// @ts-check
import { execSync } from 'node:child_process';
import glob from 'fast-glob';
import fs from 'node:fs';
const files = await glob(['packages/*/dist', 'submodules/*/dist'], { onlyDirectories: true });

console.log('files', files);
const clean = 'rimraf dist && mkdir dist';
execSync(clean);
for (let dir of files) {
  const rsync = `rsync ${dir}/* ./dist`;
  execSync(rsync);
}
