import { shopDefine } from '../defines/query-shop-define.ts';

import { BaseQuery, DataOpts, Query } from '@kevisual/query/query';

export { shopDefine };

export class QueryApp extends BaseQuery {
  appDefine = shopDefine;
  constructor(opts?: { query: Query }) {
    super(opts!);
    this.appDefine.query = this.query;
  }
  get chain() {
    return this.appDefine.queryChain;
  }
  getInstall(data: any, opts?: DataOpts) {
    return this.appDefine.queryChain('install').post(data, opts);
  }
}
